#include "FinalEffect.h"

FinalEffects::~FinalEffects() {
}

FinalEffects::FinalEffects(std::string fn, 
    int vb, int vf, int VL, int vr, int wv, 
    unsigned char jb, unsigned char sb, 
    bool nr) {
// string 
    file_name = fn;

// int 
    limited_to_value_bytes = vb;
    limited_to_value_fields = vf;
    limited_to_value_lines = VL;
    limited_to_value_rows = vr;
    wall_value = wv;

// unsigned char 
    joint_byte = jb;
    separator_byte = sb;

// bool 
    no_removing = nr;
}

bool FinalEffects::noRemoving() const {
    return no_removing;
}

int FinalEffects::behindWall() const {
    return wall_value;
}

int FinalEffects::valueBytes() const {
    return limited_to_value_bytes;
}

int FinalEffects::valueFields() const {
    return limited_to_value_fields;
}

int FinalEffects::valueLines() const {
    return limited_to_value_lines;
}

int FinalEffects::valueRows() const {
    return limited_to_value_rows;
}

std::string FinalEffects::fileName() const {
    return file_name;
}
unsigned char FinalEffects::jointByte() const {
    return joint_byte;
}

unsigned char FinalEffects::separatorByte() const {
    return separator_byte;
}

void FinalEffects::setFileName(char *p) {
	std::string fn(p);

    file_name = fn;
}

void FinalEffects::setFileName(std::string & fn) {
    file_name = fn;
}
