#ifndef TIME_NAME_H
#define TIME_NAME_H

#define C_SIZE 256
#include <fstream>
#include <sstream>
#include <string>
#include <time.h>
#include "MessagesText.h"

class TimeNames {
    std::string base, extension, messages, name, time_name;

    int sequence_to_integer(std::string & s);
    void incrementSerialNumber();

public:
    ~TimeNames();
    TimeNames(std::string & b, std::string & e);

    int readSerialNumber();
    int zeroSerialNumber();
    std::string temporaryName(bool serial_number);
};

#endif // TIME_NAME_H
