CC        = bcc32c
LINKER    = ilink32

INCLUDE = -I"C:\BCC101\include"
LIB     = -L"C:\BCC101\lib\win32c\debug"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = obot.exe
OBJS   = errortext.obj finaleffect.obj guide.obj hexadecimal.obj hyphenterm.obj messagestext.obj numbered.obj parameters.obj timename.obj obotmain.obj 
RESFILES = ObotResource.res

ALL : $(TARGET)

errortext.obj: ErrorText.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c ErrorText.cpp
finaleffect.obj: FinalEffect.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c FinalEffect.cpp
guide.obj: Guide.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c Guide.cpp
hexadecimal.obj: Hexadecimal.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c Hexadecimal.cpp
hyphenterm.obj: HyphenTerm.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c HyphenTerm.cpp
messagestext.obj: MessagesText.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c MessagesText.cpp
numbered.obj: Numbered.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c Numbered.cpp
parameters.obj: parameters.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c parameters.cpp
timename.obj: TimeName.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c TimeName.cpp
obotmain.obj: ObotMain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c ObotMain.cpp

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
