#ifndef READ_WRITE_H
#define READ_WRITE_H

#define C_SIZE 256
#define V_SIZE 8192
#define Y_SIZE 4096
#include <stdio.h>
#include <stdlib.h>
#include <string>
#include "FinalEffect.h"
#include "ConvertWide.h"

class ReadingWriting {
    AsArray a;
    bool with_BOM;
    char new_name[C_SIZE];
    char v[V_SIZE];
    char y[Y_SIZE];
    ConvertWiden *c;
    FinalEffects *f;
    int count;
    std::string file_name;

public:
    ~ReadingWriting();
    ReadingWriting(FinalEffects * final_effects, char *nn);

    bool setting();
    int checking_length_to_produce_UTF16_CRLF();
    int checking_length_to_produce_UTF16_LF();
    int checking_skipping_control_to_produce_UTF16_CRLF();
    int checking_skipping_control_to_produce_UTF16_LF();
    int countLines(std::string & name);
    int lineCount() const;
    int reading_to_produce_UTF16_CRLF();
    int reading_to_produce_UTF16_LF();
    int renameBinaryFile(std::string & name, bool no_removing);
    int skipping_control_to_produce_UTF16_CRLF();
    int skipping_control_to_produce_UTF16_LF();
    int standard_input_checking_to_produce_UTF16_CRLF();
    int standard_input_checking_skipping_to_produce_UTF16_CRLF();
    int standard_input_reading_to_produce_UTF16_CRLF();
    int standard_input_skipping_to_produce_UTF16_CRLF();
};

#endif // READ_WRITE_H
