#ifndef PATH_EXE_H
#define PATH_EXE_H

#define Y_SIZE 4096
#include <stdlib.h>
#include <string>
#include "DivideSJIS.h"
#include "ErrorText.h"
#include "FieldsArray.h"

class CommandPath {
    bool manyErrorTexts;
    char combo[4096];
    int comboLength;
    std::string extra, full_path;

    bool openClose(std::string & path_name);
    int exeDirectories();
    int trimming(char *s, int s_length);

public:
    ~CommandPath();
    CommandPath(bool m);

    std::string pathName(std::string & g);
};

#endif // PATH_EXE_H
