#include "Guide.h"

Guiding::~Guiding() {
}

Guiding::Guiding() {
}

void Guiding::versionGuide(double d, bool comments) {
    using namespace std;

    stringstream os;
    os << d;

    version_sequence = os.str();
    version_value = d;
    versionGuide(version_sequence, comments);
}

void Guiding::versionGuide(std::string & v, bool comments) {
    using namespace std;

    stringstream ss;
    ss >> version_value;

    version_sequence = v;

    cout << "Utf8to16 C++ Version " << v << "\n" << endl;

    if( comments ) {
        cout << "utf8to16 -G            # Guide " << endl 
          << "utf8to16 UTF8          # Read UTF8 to produce utf8to16.txt " << endl 
          << "utf8to16 UTF8 new      # Read UTF8 to produce a new UTF-16 file. " << endl 
          << "utf8to16 -o new UTF8   # Read UTF8 to produce a new UTF-16 file. " << endl 
          << "utf8to16 -0 UTF8       # Every line includes 0Dh. " << endl 
          << "utf8to16 -B UTF8       # Check line length. " << endl 
          << "utf8to16 -b -y UTF8    # Do not remove binary.tmp " << endl 
          << "utf8to16 -b SJIS       # Produce binary.tmp " << endl 
          << "utf8to16 -b UTF8 UTF8  # Produce and rename binary.tmp " << endl 
          << "utf8to16 -LF UTF8      # 0Dh is removed from every line. " << endl 
          << "utf8to16 -l UTF8       # Count lines. " << endl 
          << "utf8to16 -m- UTF8      # Do not attach BOM to UTF-16 data. " << endl 
          << "utf8to16 -t UTF8 new   # UTF8 has the same time as the new UTF-16 text. " << endl 
          << "utf8to16 -V            # Version " << endl;
    } else {
        cout << "utf8to16 --help        " << endl;
    }

}
